GET/v1beta/models

List models (Gemini)

The same models as GET /v1/models, in Google's shape. Authenticate with x-goog-api-key, a key query parameter, or Authorization: Bearer.

Authentication: Bearer API key in the Authorization header

Responses

  • 200

    The models this key can call.

    Response
    • modelsarray<object>
      models
      • namestring

        models/<slug>.

      • displayNamestring
      • supportedGenerationMethodsarray<string>
  • 401

    The key is missing or invalid.

    Response
    • errorobject
      error
      • codeinteger

        The HTTP status.

      • messagestring
      • statusstring

        For example INVALID_ARGUMENT, UNAUTHENTICATED, RESOURCE_EXHAUSTED.

      • detailsarray<object>

Request

curl https://api.experientiallabs.ai/v1beta/models \
  -H "x-goog-api-key: YOUR_API_KEY"

Response

{
  "models": [
    {
      "name": "models/gpt-6-luna",
      "displayName": "gpt-6-luna",
      "supportedGenerationMethods": [
        "generateContent",
        "streamGenerateContent",
        "countTokens"
      ]
    }
  ]
}

https://api.experientiallabs.ai/v1beta/models